Subject: [Shop-talk] GMC front suspension refresh

From: John Mitchell via Shop-talk <[email-masked]>
Date: Thu, 2 May 2019 08:25:31 -0400

I have a 2005 GMC Sierra Denali that I have owned since new. It's AWD 
and has 117,000 miles.?? The front end is not as tight as I would like 
and I wanted to refresh the front end.?? I've seen the kits from various 
manufacturers that include ball joints, A-arms, etc.?? I've researched 
them online and most appear to be junk. Even Moog doesn't have the 
reputation it once had.?? Should I bite the bullet and buy individual 
AC/Delco parts and which ones, or is there a decent manufacturer of 
suspension parts out there. Thanks?????????????? John?????? Shelton, CT

_______________________________________________

[email-masked]
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive